import {
    SELFSHOP, PURCHASE_DATA, PURCHASE_RETURN_REFRESH,
    SALE_RETURN_REFRESH, MY_REFRESH, INDEX_REFRESH,
    getLocalStorage, setLocalStorage
} from '@assets/js/self.js'
import { formatTel } from '@assets/js/format.js'
/**
 * 获取用户信息、机构详情
 * @param {*} _this this指向
 * @param {*} cb 回调
 */
export function getInfoRes (_this, cb) {
    const curParams = {
        shop_id: getLocalStorage(SELFSHOP) ? getLocalStorage(SELFSHOP).id : ''
    }
    _this.$http.get(_this.$myApi.SUPPLIWRDETAIL, curParams)
        .then(data => {
            _this.supplier = data
            if (data && data.phone) {
                _this.supplier_tel = formatTel(data.phone)
            }
            typeof cb === 'function' && cb(data)
        })
        .catch(() => {})
}
